Bug 239840 - converters/bibtexconv: Update to version 1.1.17
Summary: converters/bibtexconv: Update to version 1.1.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kai Knoblich
URL: https://www.uni-due.de/~be0001/bibtex...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-14 11:05 UTC by dreibh
Modified: 2019-09-05 17:40 UTC (History)
3 users (show)

See Also:
kai: merge-quarterly+


Attachments
The diff file (1.98 KB, patch)
2019-08-14 11:05 UTC, dreibh
no flags Details | Diff
bibtexconv-1.1.16-revised.patch (3.31 KB, patch)
2019-08-21 11:02 UTC, Kai Knoblich
no flags Details | Diff
Fixed diff for the latest version (3.22 KB, patch)
2019-08-23 08:22 UTC, dreibh
no flags Details | Diff
bibtexconv-1.1.17-revised.patch (3.67 KB, patch)
2019-08-24 14:28 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dreibh 2019-08-14 11:05:46 UTC
Created attachment 206518 [details]
The diff file

The latest upstream version of bibtexconv is 1.1.16.
Therefore, the port converters/bibtexconv needs an update.

Fix: The updated diff file bibtexconv-1.1.16.diff is attached.
Comment 1 Kai Knoblich freebsd_committer 2019-08-21 11:02:40 UTC
Created attachment 206748 [details]
bibtexconv-1.1.16-revised.patch

(In reply to dreibh from comment #0)

Hi Thomas,

thank you for the patch. There were some issues with it:

- The complete PLIST_SECTION was missing which leads to QA errors.
- devel/bison is also required to build the port successfully

Then there's a issue regarding the "bibtexconv-odt" and "ietf2bibtex" scripts. Both scripts are installed as regular files without execution permissions. This needs to be fixed in "src/CMakeLists.txt" of the source tarball.

The good news: Those issues are fixed with the revised patch that is attached in this PR.

I've only one question at the moment: Is there a particular reason why the EXAMPLES option was removed? I've restored that option and added some newer example files to PORT_EXAMPLES just for the case if it was accidentally removed.

If you're fine my additions/fixes I'll commit the changes as soon as possible.
Comment 2 dreibh 2019-08-23 08:22:05 UTC
Created attachment 206817 [details]
Fixed diff for the latest version

The initial diff lacked the new pkg-plist files, which also contains the examples to be installed.

I just updated BibTeXConv to version 1.1.17. This new version also fixes the two problems:
* CMakeLists.txt installs the scripts with PRGORAMS (and not FILES)
* Updated the shebang, so shebangfix should be unnecessary now.
Comment 3 Kai Knoblich freebsd_committer 2019-08-24 14:28:23 UTC
Created attachment 206854 [details]
bibtexconv-1.1.17-revised.patch

(In reply to dreibh from comment #2)

Thank you for the quick fix regarding the execution permissions in the CMakeLists.txt file!

The USES=shebangfix is still required otherwise the stage QA phase emits the following error:

> ====> Running Q/A tests (stage-qa)
> Error: '/usr/bin/env python3' is an invalid shebang you need USES=shebangfix for 'bin/ietf2bibtex'
> *** Error code 1

I also made some modifications to install the example files into ${EXAMPLESDIR} instead of ${DOCSDIR}/examples because the first location is better suited unless there's some reason to place them into ${DOCSDIR}.

The whole port builds fine with/without the EXAMPLES option and if you have no objections the patch is ready to be committed.
Comment 4 dreibh 2019-09-04 18:47:53 UTC
(In reply to Kai Knoblich from comment #3)

Okay, this makes sense!
Comment 5 commit-hook freebsd_committer 2019-09-05 16:07:12 UTC
A commit references this bug:

Author: kai
Date: Thu Sep  5 16:07:01 UTC 2019
New revision: 511192
URL: https://svnweb.freebsd.org/changeset/ports/511192

Log:
  converters/bibtexconv: Update to 1.1.17

  * Place PLIST_FILES/PORTEXAMPLES entries into pkg-plist to make maintaining
    somewhat easier if new examples are added/removed in the future. [1]

  * Let the ports framework take care for the shebang fixes while I'm here.

  Notable changes since 1.1.11:

  * Switched to CMake for build
  * Various bugfixes and improvements
  * Addition of further examples [1]

  PR:		239840
  Submitted by:	dreibh@iem.uni-due.de (maintainer)
  MFH:		2019Q3

Changes:
  head/converters/bibtexconv/Makefile
  head/converters/bibtexconv/distinfo
  head/converters/bibtexconv/pkg-plist
Comment 6 Kai Knoblich freebsd_committer 2019-09-05 16:17:59 UTC
(In reply to dreibh from comment #4)

Committed to the head branch, thank you for the patches and feedback!

Still waiting for approval from the ports-secteam to commit the changes to the 2019Q3 branch as the release contains various bugfixes.
Comment 7 commit-hook freebsd_committer 2019-09-05 17:39:24 UTC
A commit references this bug:

Author: kai
Date: Thu Sep  5 17:38:23 UTC 2019
New revision: 511257
URL: https://svnweb.freebsd.org/changeset/ports/511257

Log:
  MFH: r511192

  converters/bibtexconv: Update to 1.1.17

  * Place PLIST_FILES/PORTEXAMPLES entries into pkg-plist to make maintaining
    somewhat easier if new examples are added/removed in the future. [1]

  * Let the ports framework take care for the shebang fixes while I'm here.

  Notable changes since 1.1.11:

  * Switched to CMake for build
  * Various bugfixes and improvements
  * Addition of further examples [1]

  PR:		239840
  Submitted by:	dreibh@iem.uni-due.de (maintainer)
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/converters/bibtexconv/Makefile
  branches/2019Q3/converters/bibtexconv/distinfo
  branches/2019Q3/converters/bibtexconv/pkg-plist
Comment 8 Kai Knoblich freebsd_committer 2019-09-05 17:40:14 UTC
Committed to the 2019Q3 branch, all done!